import Vue from 'vue';
import Vuex from 'vuex';

import app from './modules/app';
import searchOrder from './modules/tiip/searchOrder';
import profitAnalysis from './modules/tiip/profitAnalysis';
import kanban from './modules/tiip/kanban';

Vue.use(Vuex);

const store = new Vuex.Store({
  state: {
    //
  },
  mutations: {
    //
  },
  actions: {},
  modules: {
    app,
    searchOrder,
    profitAnalysis,
    kanban
  }
});

export default store;
